List loans
curl --request GET \
--url https://api.glassmarkets.io/v2/organizations/loans/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/loans/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/loans/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"amount": 123,
"asset": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"details": "<unknown>"
}
]Loans
List loans
Returns token loans on your assets. Market makers see their own organization’s loans; project owners see every loan on the assets they own. Only loans running today are returned unless include_inactive=true.
List loans
curl --request GET \
--url https://api.glassmarkets.io/v2/organizations/loans/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/organizations/loans/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/organizations/loans/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"amount": 123,
"asset": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"details": "<unknown>"
}
]Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Query Parameters
Comma seperated list of assets <asset>,<asset>.Defaults to all assets the user has access to, if not provided.
Maximum array length:
100Include loans outside the current date range.
Comma seperated list of organization slugs <slug>,<slug>.Defaults to all organizations the user is member of, if not provided.Available organizations are returned in the /v1/organizations endpoint.
Maximum array length:
100
